Skip Menu |
 

This queue is for tickets about the Scalar-List-Utils CPAN distribution.

Report information
The Basics
Id: 25110
Status: resolved
Priority: 0/
Queue: Scalar-List-Utils

People
Owner: Nobody in particular
Requestors: mschwern [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: (no value)



Subject: Needs to set INSTALLDIRS=perl
Download (untitled) / with headers
text/plain 416b
Installing Scalar-List-Utils from CPAN on Perl 5.7.3 or up will result in the newly installed version being shadowed by the core version because, unfortunately, the core libraries come before the site libraries in @INC by default. To avoid this Scalar-List-Utils should set INSTALLDIRS=perl when Perl >= 5.7.3, the first time it was shipped with Perl. Unfortunately I don't know how to do this via Module::Install.
Fixed in Scalar-List-Utils-1.20


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.